### Method

# Ggit Repository get_index

#### Declaration [src]

    GgitIndex*
    ggit_repository_get_index (
      GgitRepository* repository
      GError** error
    )

#### Description [src]

Get the index for a specific repository.

#### Return value

Type: `GgitIndex`

A `GgitIndex`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.